Promo Codes

Create and manage promotional codes. Supports creating promo codes (v2) for use in campaigns and checkout flows.

Create Promo Code Objects

post

Create new promo code objects in Limio. Only promo codes v2 are supported via this endpoint. Promo codes can be configured with product-specific or whole-basket discounts and associated eligibility rules.

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Body
namestringRequired

The object name. Not included values will not be updated and nested values will require the structure to update. Updates will only occur for the id provided. WARNING! Changing this field might break integrations

Example: abc123
idstringRequired

The object id. This is the record_type and name concatenated such as promo_code_v2-abc123. Not included values will not be updated and nested values will require the structure to update. Updates will only occur for the id provided. WARNING! Changing this field might break integrations

Example: promo_code_v2-abc123
dataone ofRequired
or
Responses
chevron-right
200

Promo codes created successfully.

application/json
idstringOptional

The ID of the object

Example: promo_code_v2-CODE123
namestringOptional

The name of the object

Example: CODE123
statusstringOptional

The status of the object

Example: active
record_typestringOptional

The record type of the object

Example: promo_code_v2
servicestringOptional

The service of the object

Example: limio
dataobjectOptional

The data of the object sent in the request

Example: {"promoStartDate":"2024-10-07"}
post
/objects/limio/promo_codes_v2

Last updated

Was this helpful?